Skip to main content
GET
Get Convai Workspace Secrets

Headers

x-api-key
string | null

Your API key for programmatic access. Send it in the x-api-key header; you can create and manage keys from the Developers page.

Query Parameters

page_size
integer | null

How many documents to return at maximum. Can not exceed 100. If not provided, returns all secrets.

Required range: 1 <= x <= 100
dependency_limit
integer | null

Maximum number of dependent resources (tools, agents, phone numbers) to return per secret. Can not exceed 100.

Required range: 1 <= x <= 100
search
string | null

If specified, returns only secrets whose names start with this string.

cursor
string | null

Used for fetching next page. Cursor is returned in the response.

Response

Successful Response

secrets
ConvAIWorkspaceStoredSecretConfig · object[]
required
next_cursor
string | null

Cursor for fetching the next page of secrets